#app{
    display: grid;
    grid-template-columns: 50% 50%;
}

main{
    padding: 4rem;

    & p{
        margin-top: .3rem;
    }
}

fieldset{
    border: none;
    display: grid;
    gap: 1rem;
    margin-top: 3rem;
}

legend{
    font-weight: 600;
    font-size: 20px;
    margin-bottom: 1rem;
}

input[type=checkbox]{
    width: 20px;
    height: 20px;
    margin-top: .25rem;
}

.btn-container{
    display: flex;
    justify-content: space-between;
    margin-top: 3rem;
    gap: 1rem;
}

.btn{
    border-radius: 100px;
    padding: 15px 30px;
    color: #fff;
    font-size: large;
    max-width: 270px;
    width: 100%;
}

.aside{
    padding: 4rem;
}

.aside-container{
    background-color: #fff;
    border-radius: 20px;
    /* tamanho fixo por enquanto */
    height: 500px;
    width: 100%;
    padding: 2rem;
}

.cadastrados{
    height: 100%;
    width: 100%;
    position: relative;
}

.topo-cadastrados{
    width: 100%;
    margin-bottom: 1rem;
    display: flex;
    justify-content: center;
}

.btn-editar{
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    background-color: #564e9a;
}

.topo-lista{
    & p{
        font-weight: 700;
    }
}

.topo-lista, .item{
    border-bottom: 1px solid #000;
}

.item{
    align-items: center;
    padding: 5px 0 5px 0;
}

@media (width <= 1024px) {
  #app{
    display: flex;
    flex-direction: column;
  }
}
@media (width <= 640px) {
  .btn-container{
    flex-direction: column;
    align-items: center;
    margin-top: 2rem;
  }

  main, .aside{
    padding: 1rem;
  }
}